Mathematical Special Functions
Numerics
Collaboration diagram for Mathematical Special Functions:

## Functions

template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::assoc_laguerre (unsigned int __n, unsigned int __m, _Tp __x)
float | std::tr1::assoc_laguerref (unsigned int __n, unsigned int __m, float __x)
long double | std::tr1::assoc_laguerrel (unsigned int __n, unsigned int __m, long double __x)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::assoc_legendre (unsigned int __l, unsigned int __m, _Tp __x)
float | std::tr1::assoc_legendref (unsigned int __l, unsigned int __m, float __x)
long double | std::tr1::assoc_legendrel (unsigned int __l, unsigned int __m, long double __x)
template<typename _Tpx , typename _Tpy >
__gnu_cxx::__promote_2< _Tpx, _Tpy >::__type | std::tr1::beta (_Tpx __x, _Tpy __y)
float | std::tr1::betaf (float __x, float __y)
long double | std::tr1::betal (long double __x, long double __y)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::comp_ellint_1 (_Tp __k)
float | std::tr1::comp_ellint_1f (float __k)
long double | std::tr1::comp_ellint_1l (long double __k)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::comp_ellint_2 (_Tp __k)
float | std::tr1::comp_ellint_2f (float __k)
long double | std::tr1::comp_ellint_2l (long double __k)
template<typename _Tp , typename _Tpn >
__gnu_cxx::__promote_2< _Tp, _Tpn >::__type | std::tr1::comp_ellint_3 (_Tp __k, _Tpn __nu)
float | std::tr1::comp_ellint_3f (float __k, float __nu)
long double | std::tr1::comp_ellint_3l (long double __k, long double __nu)
template<typename _Tpnu , typename _Tp >
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | std::tr1::cyl_bessel_i (_Tpnu __nu, _Tp __x)
float | std::tr1::cyl_bessel_if (float __nu, float __x)
long double | std::tr1::cyl_bessel_il (long double __nu, long double __x)
template<typename _Tpnu , typename _Tp >
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | std::tr1::cyl_bessel_j (_Tpnu __nu, _Tp __x)
float | std::tr1::cyl_bessel_jf (float __nu, float __x)
long double | std::tr1::cyl_bessel_jl (long double __nu, long double __x)
template<typename _Tpnu , typename _Tp >
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | std::tr1::cyl_bessel_k (_Tpnu __nu, _Tp __x)
float | std::tr1::cyl_bessel_kf (float __nu, float __x)
long double | std::tr1::cyl_bessel_kl (long double __nu, long double __x)
template<typename _Tpnu , typename _Tp >
__gnu_cxx::__promote_2< _Tpnu, _Tp >::__type | std::tr1::cyl_neumann (_Tpnu __nu, _Tp __x)
float | std::tr1::cyl_neumannf (float __nu, float __x)
long double | std::tr1::cyl_neumannl (long double __nu, long double __x)
template<typename _Tp , typename _Tpp >
__gnu_cxx::__promote_2< _Tp, _Tpp >::__type | std::tr1::ellint_1 (_Tp __k, _Tpp __phi)
float | std::tr1::ellint_1f (float __k, float __phi)
long double | std::tr1::ellint_1l (long double __k, long double __phi)
template<typename _Tp , typename _Tpp >
__gnu_cxx::__promote_2< _Tp, _Tpp >::__type | std::tr1::ellint_2 (_Tp __k, _Tpp __phi)
float | std::tr1::ellint_2f (float __k, float __phi)
long double | std::tr1::ellint_2l (long double __k, long double __phi)
template<typename _Tp , typename _Tpn , typename _Tpp >
__gnu_cxx::__promote_3< _Tp, _Tpn, _Tpp >::__type | std::tr1::ellint_3 (_Tp __k, _Tpn __nu, _Tpp __phi)
float | std::tr1::ellint_3f (float __k, float __nu, float __phi)
long double | std::tr1::ellint_3l (long double __k, long double __nu, long double __phi)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::expint (_Tp __x)
float | std::tr1::expintf (float __x)
long double | std::tr1::expintl (long double __x)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::hermite (unsigned int __n, _Tp __x)
float | std::tr1::hermitef (unsigned int __n, float __x)
long double | std::tr1::hermitel (unsigned int __n, long double __x)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::laguerre (unsigned int __n, _Tp __x)
float | std::tr1::laguerref (unsigned int __n, float __x)
long double | std::tr1::laguerrel (unsigned int __n, long double __x)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::legendre (unsigned int __n, _Tp __x)
float | std::tr1::legendref (unsigned int __n, float __x)
long double | std::tr1::legendrel (unsigned int __n, long double __x)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::riemann_zeta (_Tp __x)
float | std::tr1::riemann_zetaf (float __x)
long double | std::tr1::riemann_zetal (long double __x)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::sph_bessel (unsigned int __n, _Tp __x)
float | std::tr1::sph_besself (unsigned int __n, float __x)
long double | std::tr1::sph_bessell (unsigned int __n, long double __x)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::sph_legendre (unsigned int __l, unsigned int __m, _Tp __theta)
float | std::tr1::sph_legendref (unsigned int __l, unsigned int __m, float __theta)
long double | std::tr1::sph_legendrel (unsigned int __l, unsigned int __m, long double __theta)
template<typename _Tp >
__gnu_cxx::__promote< _Tp >::__type | std::tr1::sph_neumann (unsigned int __n, _Tp __x)
float | std::tr1::sph_neumannf (unsigned int __n, float __x)
long double | std::tr1::sph_neumannl (unsigned int __n, long double __x)

## Detailed Description

A collection of advanced mathematical special functions.

## Function Documentation

## assoc_laguerre()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::assoc_laguerre | ( | unsigned int | __n,
|  | unsigned int | __m,
|  | _Tp | __x
| ) |  |

inline

5.2.1.1 Associated Laguerre polynomials.

Definition at line 1274 of file tr1/cmath.

## assoc_legendre()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::assoc_legendre | ( | unsigned int | __l,
|  | unsigned int | __m,
|  | _Tp | __x
| ) |  |

inline

5.2.1.2 Associated Legendre functions.

Definition at line 1291 of file tr1/cmath.

## beta()

template<typename _Tpx , typename _Tpy >

__gnu_cxx::__promote_2<_Tpx, _Tpy>::__type std::tr1::beta | ( | _Tpx | __x,
|  | _Tpy | __y
| ) |  |

inline

5.2.1.3 Beta functions.

Definition at line 1308 of file tr1/cmath.

## comp_ellint_1()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::comp_ellint_1 | ( | _Tp | __k | ) |

inline

5.2.1.4 Complete elliptic integrals of the first kind.

Definition at line 1325 of file tr1/cmath.

## comp_ellint_2()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::comp_ellint_2 | ( | _Tp | __k | ) |

inline

5.2.1.5 Complete elliptic integrals of the second kind.

Definition at line 1342 of file tr1/cmath.

## comp_ellint_3()

template<typename _Tp , typename _Tpn >

__gnu_cxx::__promote_2<_Tp, _Tpn>::__type std::tr1::comp_ellint_3 | ( | _Tp | __k,
|  | _Tpn | __nu
| ) |  |

inline

5.2.1.6 Complete elliptic integrals of the third kind.

Definition at line 1359 of file tr1/cmath.

## cyl_bessel_i()

template<typename _Tpnu , typename _Tp >

__gnu_cxx::__promote_2<_Tpnu, _Tp>::__type std::tr1::cyl_bessel_i | ( | _Tpnu | __nu,
|  | _Tp | __x
| ) |  |

inline

5.2.1.8 Regular modified cylindrical Bessel functions.

Definition at line 1376 of file tr1/cmath.

## cyl_bessel_j()

template<typename _Tpnu , typename _Tp >

__gnu_cxx::__promote_2<_Tpnu, _Tp>::__type std::tr1::cyl_bessel_j | ( | _Tpnu | __nu,
|  | _Tp | __x
| ) |  |

inline

5.2.1.9 Cylindrical Bessel functions (of the first kind).

Definition at line 1393 of file tr1/cmath.

## cyl_bessel_k()

template<typename _Tpnu , typename _Tp >

__gnu_cxx::__promote_2<_Tpnu, _Tp>::__type std::tr1::cyl_bessel_k | ( | _Tpnu | __nu,
|  | _Tp | __x
| ) |  |

inline

5.2.1.10 Irregular modified cylindrical Bessel functions.

Definition at line 1410 of file tr1/cmath.

## cyl_neumann()

template<typename _Tpnu , typename _Tp >

__gnu_cxx::__promote_2<_Tpnu, _Tp>::__type std::tr1::cyl_neumann | ( | _Tpnu | __nu,
|  | _Tp | __x
| ) |  |

inline

5.2.1.11 Cylindrical Neumann functions.

Definition at line 1427 of file tr1/cmath.

## ellint_1()

template<typename _Tp , typename _Tpp >

__gnu_cxx::__promote_2<_Tp, _Tpp>::__type std::tr1::ellint_1 | ( | _Tp | __k,
|  | _Tpp | __phi
| ) |  |

inline

5.2.1.12 Incomplete elliptic integrals of the first kind.

Definition at line 1444 of file tr1/cmath.

## ellint_2()

template<typename _Tp , typename _Tpp >

__gnu_cxx::__promote_2<_Tp, _Tpp>::__type std::tr1::ellint_2 | ( | _Tp | __k,
|  | _Tpp | __phi
| ) |  |

inline

5.2.1.13 Incomplete elliptic integrals of the second kind.

Definition at line 1461 of file tr1/cmath.

## ellint_3()

template<typename _Tp , typename _Tpn , typename _Tpp >

__gnu_cxx::__promote_3<_Tp, _Tpn, _Tpp>::__type std::tr1::ellint_3 | ( | _Tp | __k,
|  | _Tpn | __nu,
|  | _Tpp | __phi
| ) |  |

inline

5.2.1.14 Incomplete elliptic integrals of the third kind.

Definition at line 1478 of file tr1/cmath.

## expint()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::expint | ( | _Tp | __x | ) |

inline

5.2.1.15 Exponential integrals.

Definition at line 1495 of file tr1/cmath.

## hermite()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::hermite | ( | unsigned int | __n,
|  | _Tp | __x
| ) |  |

inline

5.2.1.16 Hermite polynomials.

Definition at line 1512 of file tr1/cmath.

## laguerre()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::laguerre | ( | unsigned int | __n,
|  | _Tp | __x
| ) |  |

inline

5.2.1.18 Laguerre polynomials.

Definition at line 1529 of file tr1/cmath.

## legendre()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::legendre | ( | unsigned int | __n,
|  | _Tp | __x
| ) |  |

inline

5.2.1.19 Legendre polynomials.

Definition at line 1546 of file tr1/cmath.

## riemann_zeta()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::riemann_zeta | ( | _Tp | __x | ) |

inline

5.2.1.20 Riemann zeta function.

Definition at line 1563 of file tr1/cmath.

## sph_bessel()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::sph_bessel | ( | unsigned int | __n,
|  | _Tp | __x
| ) |  |

inline

5.2.1.21 Spherical Bessel functions.

Definition at line 1580 of file tr1/cmath.

## sph_legendre()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::sph_legendre | ( | unsigned int | __l,
|  | unsigned int | __m,
|  | _Tp | __theta
| ) |  |

inline

5.2.1.22 Spherical associated Legendre functions.

Definition at line 1597 of file tr1/cmath.

## sph_neumann()

template<typename _Tp >

__gnu_cxx::__promote<_Tp>::__type std::tr1::sph_neumann | ( | unsigned int | __n,
|  | _Tp | __x
| ) |  |

inline

5.2.1.23 Spherical Neumann functions.

Definition at line 1614 of file tr1/cmath.